Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.catalog
Interface CatalogItem

All Superinterfaces
  ConfigurableEntity, Serializable

All Known Subinterfaces:
  Category, MutableCatalogItem, MutableCategory, MutableProductItem, ProductItem

All Known Implementing Classes:
  CatalogItemImpl, CategoryImpl, MutableCatalogItemImpl, MutableCategoryImpl, MutableProductItemImpl, ProductItemImpl

Deprecated See BEA Commerce product offering

    @Deprecated
    public interface CatalogItem

extends Serializable, ConfigurableEntity

This is the base interface for all items contained by the Catalog. This interface exposes data accessors for item data conforming to the Dublin Core Metadata Version 1.1: Dublin Core Element Set

Field Summary
`static int` | `LARGE_IMAGE_INDEX` Deprecated See BEA Commerce product offering
`static int` | `LONG_DESCRIPTION_INDEX` Deprecated See BEA Commerce product offering
`static int` | `MAX_DESCRIPTION` Deprecated See BEA Commerce product offering
`static int` | `MAX_IMAGES` Deprecated See BEA Commerce product offering
`static int` | `SHORT_DESCRIPTION_INDEX` Deprecated See BEA Commerce product offering
`static int` | `SMALL_IMAGE_INDEX` Deprecated See BEA Commerce product offering

Fields inherited from interface com.bea.p13n.property.ConfigurableEntity
`RESERVED_PROPERTY_SET`

Method Summary
`String` | `getContributor()` Deprecated See BEA Commerce product offering
`String` | `getCoverage()` Deprecated See BEA Commerce product offering
`Date` | `getCreationDate()` Deprecated See BEA Commerce product offering
`String` | `getCreator()` Deprecated See BEA Commerce product offering
`String` | `getDescription(int index)` Deprecated See BEA Commerce product offering
`ImageInfo` | `getImage(int index)` Deprecated See BEA Commerce product offering
`CatalogItemKey` | `getKey()` Deprecated See BEA Commerce product offering
`String` | `getLanguage()` Deprecated See BEA Commerce product offering
`Date` | `getModifiedDate()` Deprecated See BEA Commerce product offering
`String` | `getName()` Deprecated See BEA Commerce product offering
`String` | `getPublisher()` Deprecated See BEA Commerce product offering
`String` | `getRelation()` Deprecated See BEA Commerce product offering
`String` | `getRights()` Deprecated See BEA Commerce product offering
`String` | `getSource()` Deprecated See BEA Commerce product offering

Methods inherited from interface com.bea.p13n.property.ConfigurableEntity
`getJndiName, getPkString, getProperty, getPropertyAsString, getPropertyNoDefault, getUniqueId, removeProperty, setProperty`

Field Detail

### SHORT_DESCRIPTION_INDEX

    static final int SHORT_DESCRIPTION_INDEX

  Deprecated See BEA Commerce product offering
  The index of the short description associated with the item.

  See Also
    `getDescription(int)`, Constants Summary

### LONG_DESCRIPTION_INDEX

    static final int LONG_DESCRIPTION_INDEX

  Deprecated See BEA Commerce product offering
  The index of the long description associated with the item.

  See Also
    `getDescription(int)`, Constants Summary

### MAX_DESCRIPTION

    static final int MAX_DESCRIPTION

  Deprecated See BEA Commerce product offering
  The number of descriptions for the item.

  See Also
    `getDescription(int)`, Constants Summary

### SMALL_IMAGE_INDEX

    static final int SMALL_IMAGE_INDEX

  Deprecated See BEA Commerce product offering
  The index of the small image for the item.

  See Also
    `getImage(int)`, Constants Summary

### LARGE_IMAGE_INDEX

    static final int LARGE_IMAGE_INDEX

  Deprecated See BEA Commerce product offering
  The index of the large image for the item.

  See Also
    `getImage(int)`, Constants Summary

### MAX_IMAGES

    static final int MAX_IMAGES

  Deprecated See BEA Commerce product offering
  The number of images for the item.

  See Also
    `getImage(int)`, Constants Summary

Method Detail

### getKey

    CatalogItemKey getKey()

  Deprecated See BEA Commerce product offering

  Returns the CatalogItemKey object for this item. The CatalogItemKey is used to index and retrieve items.

  See Also
    `CatalogItemKey`

### getName

    String getName()

  Deprecated See BEA Commerce product offering

  Get the name associated with this catalog entry.

  Returns
    the name attribute

### getDescription

    String getDescription(int index)

  Deprecated See BEA Commerce product offering

  Get a description for this catalog entry.

  Parameters
    `index` - either SHORT_DESCRIPTION_INDEX or LONG_DESCRIPTION_INDEX
  Returns
    the description attribute

### getCreator

    String getCreator()

  Deprecated See BEA Commerce product offering

  Get the creator for this catalog entry.

  Name: Creator

  Identifier: Creator

  Definition: An entity primarily responsible for making the content of the resource.

  Comment: Examples of a Creator include a person, an organisation, or a service.

  Typically, the name of a Creator should be used to indicate the entity.

  Returns
    the creator attribute

### getPublisher

    String getPublisher()

  Deprecated See BEA Commerce product offering

  Get the publisher for this catalog entry.

  Name: Publisher

  Identifier: Publisher

  Definition: An entity responsible for making the resource available

  Comment: Examples of a Publisher include a person, an organisation, or a service.

  Typically, the name of a Publisher should be used to indicate the entity.

  Returns
    the publisher attribute

### getContributor

    String getContributor()

  Deprecated See BEA Commerce product offering

  Get the contributor for this catalog entry.

  Name: Contributor

  Identifier: Contributor

  Definition: An entity responsible for making contributions to the content of the resource.

  Comment: Examples of a Contributor include a person, an organisation, or a service.

  Typically, the name of a Contributor should be used to indicate the entity.

  Returns
    the contributor attribute

### getCreationDate

    Date getCreationDate()

  Deprecated See BEA Commerce product offering

  Get the creation date for this catalog item.

  Name: Date

  Identifier: Date

  Definition: A date associated with an event in the life cycle of the resource.

  Comment: Typically, Date will be associated with the creation or availability of the resource. Recommended best practice for encoding the date value is defined in a profile of ISO 8601 [W3CDTF] and follows the YYYY-MM-DD format.

  Returns
    the creation date attribute

### getSource

    String getSource()

  Deprecated See BEA Commerce product offering

  Get the source for this catalog item.

  Name: Source

  Identifier: Source

  Definition: A Reference to a resource from which the present resource is derived.

  Comment: The present resource may be derived from the Source resource in whole or in part. Recommended best practice is to reference the resource by means of a string or number conforming to a formal identification system.

  Returns
    the source attribute

### getLanguage

    String getLanguage()

  Deprecated See BEA Commerce product offering

  Get the language for this catalog item.

  Name: Language

  Identifier: Language

  Definition: A language of the intellectual content of the resource.

  Comment: Recommended best practice for the values of the Language element is defined by RFC 1766 [RFC1766] which includes a two-letter Language Code (taken from the ISO 639 standard [ISO639]), followed optionally, by a two-letter Country Code (taken from the ISO 3166 standard [ISO3166]). For example, 'en' for English, 'fr' for French, or 'en-uk' for English used in the United Kingdom.

  Returns
    the language attribute

### getRelation

    String getRelation()

  Deprecated See BEA Commerce product offering

### getCoverage

    String getCoverage()

  Deprecated See BEA Commerce product offering

  Get the coverage of this catalog item.

  Name: Coverage

  Identifier: Coverage

  Definition: The extent or scope of the content of the resource.

  Comment: Coverage will typically include spatial location (a place name or geographic coordinates), temporal period (a period label, date, or date range) or jurisdiction (such as a named administrative entity).

  Recommended best practice is to select a value from a controlled vocabulary (for example, the Thesaurus of Geographic Names [TGN]) and that, where appropriate, named places or time periods be used in preference to numeric identifiers such as sets of coordinates or date ranges.

  Returns
    the coverage attribute

### getRights

    String getRights()

  Deprecated See BEA Commerce product offering

  Get the rights for this catalog item.

  Name: Rights Management

  Identifier: Rights

  Definition: Information about rights held in and over the resource.

  Comment: Typically, a Rights element will contain a rights management statement for the resource, or reference a service providing such information. Rights information often encompasses Intellectual Property Rights (IPR), Copyright, and various Property Rights.

  If the Rights element is absent, no assumptions can be made about the status of these and other rights with respect to the resource.

  Returns
    the rights attribute

### getImage

    ImageInfo getImage(int index)

  Deprecated See BEA Commerce product offering

  Get image information for this catalog item.

  Parameters
    `index` - the image to retrieve one of SMALL_IMAGE_INDEX or LARGE_IMAGE_INDEX.
  Returns
    the image information

### getModifiedDate

    Date getModifiedDate()

  Deprecated See BEA Commerce product offering

  Get the modification date for this catalog item.

  Name: Date

  Identifier: Date

  Definition: A date associated with an event in the life cycle of the resource.

  Comment: Typically, Date will be associated with the creation or availability of the resource. Recommended best practice for encoding the date value is defined in a profile of ISO 8601 [W3CDTF] and follows the YYYY-MM-DD format.

  Returns
    the modification date attribute

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved